View Issue Details

IDProjectCategoryView StatusLast Update
0001422OpenFOAM[All Projects] Bugpublic2022-05-19 08:47
ReporterdhoraAssigned Towill 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Fixed in Versiondev 
Summary0001422: neighbour face search in cyclicAMI
DescriptionProblems can be observed if one patch of an (e.g. cylindrical) AMI interface is split by a baffle with zero thickness into two or more separate regions. The neighbour face search algorithm doesn't find all the neighbour faces and sum(weights) can deviate significantly from 1.
TagsAMI

Activities

user4

2015-03-05 09:11

  ~0003957

The neighbour search should re-start until all is covered. Do you have a (simple) testcase for this?

dhora

2015-03-05 15:22

reporter  

foam_ami.tar.gz (310,021 bytes)

dhora

2015-03-05 15:23

reporter   ~0003963

You can run the case with pimpleDyMFoam.

user4

2015-03-10 12:52

 

tgtWeights.png (52,901 bytes)
tgtWeights.png (52,901 bytes)

user4

2015-03-10 12:58

  ~0004065

We can replicate the problem. Attached the output from moveDynamicMesh -checkAMI at time 0.02408554. It is indeed the baffle which breaks the advancing front algorithm that finds the weights. Can you work around it while we think about this one?

user4

2015-03-10 16:25

  ~0004070

As a workaround:
- make sure you don't have duplicated points on the baffle so the slave patch is continuous (you can see these duplicated points with checkMesh -allGeometry)
- or put the static side faces in INT-SIDE-2, the rotating side faces in -1 again to do the same

dhora

2015-03-11 16:59

reporter   ~0004087

It's not an urgent issue. Nevertheless, thanks a lot for the workaround.

will

2022-05-19 08:47

manager   ~0012595

This issue is resolved by the new Non-Conformal Coupled (NCC) development. NCC's advancing front algorithm remains correct even when the patch is split along a set of edges such as in this case.

https://github.com/OpenFOAM/OpenFOAM-dev/commit/569fa31d09f98e29d1aaf84d40bb16043f104ec6

Issue History

Date Modified Username Field Change
2014-10-24 12:29 dhora New Issue
2014-12-29 18:40 wyldckat Tag Attached: AMI
2015-03-05 09:11 user4 Note Added: 0003957
2015-03-05 15:22 dhora File Added: foam_ami.tar.gz
2015-03-05 15:23 dhora Note Added: 0003963
2015-03-10 12:52 user4 File Added: tgtWeights.png
2015-03-10 12:58 user4 Note Added: 0004065
2015-03-10 16:25 user4 Note Added: 0004070
2015-03-11 16:59 dhora Note Added: 0004087
2015-03-24 00:17 liuhuafei Issue cloned: 0001620
2022-05-19 08:47 will Assigned To => will
2022-05-19 08:47 will Status new => resolved
2022-05-19 08:47 will Resolution open => fixed
2022-05-19 08:47 will Fixed in Version => dev
2022-05-19 08:47 will Note Added: 0012595